<?php
$___notjson=1;
require_once "configdops.php";
$site = str_replace("http://", "", $site);
$site = str_replace("www.", "", $site);
$site2 = str_replace("http://", "", $site2);
$site2 = str_replace("www.", "", $site2);

$refer = $_SERVER['HTTP_REFERER']; // откуда идет вызов функции
$refer = str_replace("www.", "", $refer); // вырезаем www. из реферера
$domain = substr($refer, 7, strlen($site)); // переменная $домен равна рефереру, начиная с 7 символа (т.е. http:// вырезается), с количеством символов, равным количеству символов в переменной $site
$domain2 = substr($refer, 7, strlen($site2));
if($domain == $site or $domain2 == $site2)
{

if($apikey != "")
{
$api = "?apikey=$apikey";
}

$idmateriala = (int)$_GET['id'];
$idmodul = addslashes($_GET['mod']);
$kolvo = count($_POST);
$cid = addslashes($_GET['cid']);

switch ($idmodul) {
case "load":
    $module = 'load';
    break;
case "news":
    $module = 'news';
    break;
case "blog":
    $module = 'blog';
    break;
case "publ":
    $module = 'publ';
    break;
case "stuff":
    $module = 'stuff';
    break;
}


for ($i=1; $i<=count($_POST)/2; $i++) {
if(trim($_POST[$i.'mess']) != ""){
$predvobr = ereg_replace ("(\n|\r|\r\n)", "<br>", strip_tags($_POST[$i.'mess']));
$stroka .= $_POST[$i.'text']. "\t" .$predvobr. "\t\n";
}
}

if($stroka) {
if($module == 'load' or $module == 'publ') {
$context = stream_context_create(array('http' => array('method' => "GET", 'header' => "Content-Type: text/xml",)));
$file = file_get_contents("http://".$site."/api/".$module."/".$cid."-1-0-".$idmateriala.$api, false, $context);
$response = xmlrpc_decode($file,"utf8");
}
if($module == 'stuff') {
$context = stream_context_create(array('http' => array('method' => "GET", 'header' => "Content-Type: text/xml",)));
$file = file_get_contents("http://".$site."/api/stuff/4-3-221-".$idmateriala.$api, false, $context);
$response = xmlrpc_decode($file,"utf8");
}
if($module == 'news' or $module == 'blog') {
$context = stream_context_create(array('http' => array('method' => "GET", 'header' => "Content-Type: text/xml",)));
$file = file_get_contents("http://".$site."/api/".$module."/".$cid.$api, false, $context);
$response = xmlrpc_decode($file,"utf8");
}


str_replace(" ", "", $moderid);
$editmode=explode(",", $moderid);

if($response['USER_ID'] == ucoz_getinfo("SITEUSERID") or in_array(ucoz_getinfo("SITEUSERID"),$editmode))
{

$papka = $idmateriala/500;
$papkatsel = (int)$papka;

if(!is_dir($module."/".$papkatsel))
    {
        mkdir("./".$module."/".$papkatsel);
    }
    file_put_contents('./'.$module.'/'.$papkatsel.'/'.$idmateriala.'.txt', $stroka);
    echo "Дополнительные поля успешно сохранены.";
}
else {
echo "Вы не имеете доступа к редактированию дополнительных полей данного материала. Дополнительные поля не сохранены.";
}
}
}
?>